Bug 734966 - No audio with F15
Summary: No audio with F15
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 23:56 UTC by Neil
Modified: 2012-06-06 19:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 19:09:30 UTC


Attachments (Terms of Use)

Description Neil 2011-08-31 23:56:53 UTC
Description of problem:
No sound is produced at all

Version-Release number of selected component (if applicable):
kernel-2.6.40.3-0.fc15.x86_64
pulseaudio-0.9.22-5.fc15.x86_64


How reproducible:
always

Steps to Reproduce:
1. use xmms, mplayer, etc.
2.
3.
  
Actual results:
no sound output

Expected results:
sound output

Additional info:
this is not a hardware problem; PC produces audio fine under Windows, and used to work with the initial Fedora 15 distribution.  Reboots do not fix it.

This is produced at boot:
% dmesg | grep sound
[   32.839134] ALSA sound/pci/ac97/ac97_codec.c:2188 MC'97 0 converters and GPIO not ready (0x1)

rmmod'ing all snd kernel modules, then adding them back in didn't fix anything.

Aug 31 19:43:49 mars kernel: [238820.816712] ATI IXP AC97 controller 0000:00:14.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Aug 31 23:44:01 mars rtkit-daemon[1664]: Successfully made thread 22093 of process 22093 (/usr/bin/pulseaudio) owned by '501' high priority at nice level -11.
Aug 31 23:44:01 mars rtkit-daemon[1664]: Supervising 1 threads of 1 processes of 1 users.
Aug 31 23:44:01 mars rtkit-daemon[1664]: Successfully made thread 22094 of process 22093 (/usr/bin/pulseaudio) owned by '501' RT at priority 5.
Aug 31 23:44:01 mars rtkit-daemon[1664]: Supervising 2 threads of 1 processes of 1 users.
Aug 31 23:44:01 mars rtkit-daemon[1664]: Successfully made thread 22095 of process 22093 (/usr/bin/pulseaudio) owned by '501' RT at priority 5.
Aug 31 23:44:01 mars rtkit-daemon[1664]: Supervising 3 threads of 1 processes of 1 users.

lsmod | grep snd
snd_atiixp_modem       10238  1 
snd_atiixp             13786  3 
snd_ac97_codec        115725  2 snd_atiixp_modem,snd_atiixp
ac97_bus                1314  1 snd_ac97_codec
snd_seq                52322  0 
snd_seq_device          5941  1 snd_seq
snd_pcm                78424  3 snd_atiixp_modem,snd_atiixp,snd_ac97_codec
snd_timer              19372  2 snd_seq,snd_pcm
snd                    63380  15 snd_atiixp_modem,snd_atiixp,snd_ac97_codec,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               6267  1 snd
snd_page_alloc          7343  3 snd_atiixp_modem,snd_atiixp,snd_pcm

Please let me know what other information I should provide.   Thanks!

Comment 1 James Ralston 2011-09-13 15:59:19 UTC
I'm pretty sure I'm seeing this as well. Last week, sound was working perfectly fine, and now, all I can get from my speakers using either of my audio outputs is random thumps and clicks.

Since this started pulseaudio has crashed several times, and I've also crashed the control center app trying to change the audio settings:

Process /usr/bin/pulseaudio was killed by signal 11 (SIGSEGV)
Process /usr/bin/gnome-control-center was killed by signal 6 (SIGABRT)

Below are the packages I recently updated. I'm thinking this problem started with these updates. I already tried booting with the prior kernel, and that didn't fix the problem.

Sep 11 00:07:40 Updated: nss-sysinit-3.12.10-6.fc15.x86_64
Sep 11 00:07:41 Updated: nss-3.12.10-6.fc15.x86_64
Sep 11 00:07:43 Updated: 1:libreoffice-ure-3.3.3.1-5.fc15.x86_64
Sep 11 00:07:45 Updated: ibus-libs-1.3.99.20110817-3.fc15.x86_64
Sep 11 00:07:46 Updated: libcurl-7.21.3-11.fc15.x86_64
Sep 11 00:07:52 Updated: pam-1.1.4-4.fc15.x86_64
Sep 11 00:07:53 Updated: libXi-1.4.3-2.fc15.x86_64
Sep 11 00:07:54 Updated: ca-certificates-2011.78-1.fc15.noarch
Sep 11 00:07:56 Updated: openssl-1.0.0e-1.fc15.x86_64
Sep 11 00:07:56 Updated: libtevent-0.9.13-1.fc15.x86_64
Sep 11 00:07:58 Updated: libldb-1.0.0-3.fc15.x86_64
Sep 11 00:08:01 Updated: evolution-data-server-3.0.3-1.fc15.x86_64
Sep 11 00:08:02 Updated: sssd-client-1.5.13-1.fc15.2.x86_64
Sep 11 00:08:03 Updated: ibus-gtk3-1.3.99.20110817-3.fc15.x86_64
Sep 11 00:08:12 Updated: ibus-1.3.99.20110817-3.fc15.x86_64
Sep 11 00:08:14 Updated: ibus-gtk2-1.3.99.20110817-3.fc15.x86_64
Sep 11 00:08:15 Updated: libvpx-0.9.7.1-1.fc15.x86_64
Sep 11 00:08:18 Updated: xulrunner-6.0.2-1.fc15.x86_64
Sep 11 00:08:46 Updated: selinux-policy-3.9.16-38.fc15.noarch
Sep 11 00:08:50 Updated: gtkhtml3-4.0.2-1.fc15.x86_64
Sep 11 00:09:40 Updated: evolution-3.0.3-1.fc15.x86_64
Sep 11 00:09:41 Updated: libipa_hbac-1.5.13-1.fc15.2.x86_64
Sep 11 00:09:42 Updated: 2:vim-filesystem-7.3.289-1.fc15.x86_64
Sep 11 00:09:49 Updated: 2:vim-common-7.3.289-1.fc15.x86_64
Sep 11 00:09:54 Updated: 1:autocorr-en-3.3.3.1-5.fc15.noarch
Sep 11 00:09:56 Updated: 1:libreoffice-opensymbol-fonts-3.3.3.1-5.fc15.noarch
Sep 11 00:10:22 Updated: 1:libreoffice-core-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:31 Updated: 1:libreoffice-impress-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:35 Updated: 1:libreoffice-presenter-screen-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:36 Updated: 1:libreoffice-graphicfilter-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:37 Updated: 1:libreoffice-draw-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:38 Updated: 1:libreoffice-pdfimport-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:41 Updated: 1:libreoffice-writer-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:42 Updated: 1:libreoffice-xsltfilter-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:44 Updated: 1:libreoffice-calc-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:46 Updated: 1:libreoffice-math-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:46 Updated: 1:libreoffice-langpack-en-3.3.3.1-5.fc15.x86_64
Sep 11 00:10:48 Updated: 2:vim-enhanced-7.3.289-1.fc15.x86_64
Sep 11 00:10:51 Updated: sssd-1.5.13-1.fc15.2.x86_64
Sep 11 00:10:56 Updated: evolution-help-3.0.3-1.fc15.noarch
Sep 11 00:11:57 Updated: selinux-policy-targeted-3.9.16-38.fc15.noarch
Sep 11 00:12:01 Updated: firefox-6.0.2-1.fc15.x86_64
Sep 11 00:12:04 Updated: gnome-settings-daemon-3.0.3-1.fc15.x86_64
Sep 11 00:12:06 Updated: libXi-devel-1.4.3-2.fc15.x86_64
Sep 11 00:12:07 Updated: curl-7.21.3-11.fc15.x86_64
Sep 11 00:12:14 Updated: thunderbird-6.0.2-1.fc15.x86_64
Sep 11 00:12:15 Updated: nss-tools-3.12.10-6.fc15.x86_64
Sep 11 00:12:16 Updated: 2:vim-minimal-7.3.289-1.fc15.x86_64
Sep 11 00:12:17 Updated: SDL-1.2.14-12.fc15.x86_64
Sep 11 00:12:22 Updated: rhythmbox-2.90.1-11.git20110502.fc15.x86_64
Sep 11 00:12:23 Updated: system-config-users-1.2.110-1.fc15.noarch
Sep 11 00:12:25 Updated: perf-2.6.40.4-5.fc15.x86_64
Sep 11 00:12:26 Updated: libedit-3.0-4.20110227cvs.fc15.x86_64
Sep 11 00:12:27 Updated: libgee-0.6.1-3.fc15.x86_64
Sep 11 00:12:29 Updated: gdb-7.3-43.fc15.x86_64
Sep 11 00:12:30 Updated: nss-3.12.10-6.fc15.i686
Sep 11 00:12:31 Updated: libcurl-7.21.3-11.fc15.i686
Sep 11 00:12:33 Updated: openssl-1.0.0e-1.fc15.i686
Sep 11 00:12:34 Updated: libXi-1.4.3-2.fc15.i686
Sep 11 00:12:45 Installed: kernel-2.6.40.4-5.fc15.x86_64
Sep 12 13:47:06 Updated: 1:NetworkManager-glib-0.9.0-1.fc15.x86_64
Sep 12 13:47:15 Updated: xorg-x11-server-common-1.10.4-1.fc15.x86_64
Sep 12 13:47:22 Updated: 1:NetworkManager-0.9.0-1.fc15.x86_64
Sep 12 13:47:29 Updated: 1:NetworkManager-gnome-0.9.0-1.fc15.x86_64
Sep 12 13:47:30 Updated: xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64
Sep 12 13:47:31 Updated: xorg-x11-server-Xephyr-1.10.4-1.fc15.x86_64
Sep 12 13:47:33 Updated: librsvg2-2.34.0-2.fc15.x86_64
Sep 12 13:47:34 Updated: mdadm-3.2.2-9.fc15.x86_64
Sep 12 13:47:35 Updated: hwdata-0.234-1.fc15.noarch

I'm going to try reverting some of these packages and see if that restores audio...

Comment 2 Justin M. Forbes 2012-03-14 20:42:54 UTC
Is this working with the newer kernels?


Note You need to log in before you can comment on or make changes to this bug.